-- name: [CS] MILLENIUM
-- description: temp \n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!



local E_MODEL_MILL = smlua_model_util_get_id("mill_geo")

local TEX_MILL = get_texture_info("mill_icon")

local TEXT_MOD_NAME = "[CS] MILLENIUM"

local VOICETABLE_MILL = {
    [CHAR_SOUND_ATTACKED] = 'attacked.ogg',
    [CHAR_SOUND_DOH] = 'doh.ogg',
    [CHAR_SOUND_DROWNING] = 'drowning.ogg',
    [CHAR_SOUND_DYING] = 'drowning.ogg',
    [CHAR_SOUND_EEUH] = 'eeuh.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'ground_pound_wah.ogg',
    [CHAR_SOUND_HAHA] = 'haha.ogg',
    [CHAR_SOUND_HAHA_2] = 'haha.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'here_we_go.ogg',
    [CHAR_SOUND_HOOHOO] = 'hoohoo.ogg',
    [CHAR_SOUND_HRMM] = 'hrmm.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'mamamia.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'lets_a_go.ogg',
    [CHAR_SOUND_ON_FIRE] = 'on_fire.ogg',
    [CHAR_SOUND_OOOF] = 'ooof.ogg',
    [CHAR_SOUND_OOOF2] = 'ooof2.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'punch_hoo.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'punch_wah.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'punch_yah.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'so_longa_bowser.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'twirl_bounce.ogg',
    [CHAR_SOUND_UH] = 'uh.ogg',
    [CHAR_SOUND_UH2] = 'uh.ogg',
    [CHAR_SOUND_UH2_2] = 'uh.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'waaaooow.ogg',
    [CHAR_SOUND_WAH2] = 'wah2.ogg',
    [CHAR_SOUND_WHOA] = 'whoa.ogg',
    [CHAR_SOUND_YAHOO] = 'yahoo.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'yahoo.ogg', 'yahoo2.ogg', 'yahoo3.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = 'yah.ogg',
}

if _G.charSelectExists then
    CT_MILL = _G.charSelect.character_add("Millenium", "A rude and lewd  Feral Zentroz scientist from the Zentroz Dimension on a mission to redeem herself by saving the princess. This time she’ll win, right?", "Melzinoff", {r = 0, g = 200, b = 0}, E_MODEL_MILL, CT_MARIO, TEX_MILL)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_MILL, VOICETABLE_MILL)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MILL then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MILL then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end
